GDB (xrefs)

Functions
waitstatus.c File Reference
`#include "common-defs.h"`
`#include "waitstatus.h"`

Go to the source code of this file.

## Functions
std::string | target_waitstatus_to_string (const struct target_waitstatus *ws)

## Function Documentation

## ◆ target_waitstatus_to_string()

std::string target_waitstatus_to_string | ( | const struct target_waitstatus * | ws | ) |

Definition at line 27 of file waitstatus.c.

References gdb_signal_to_symbol_string(), target_waitstatus::integer, target_waitstatus::kind, target_waitstatus::sig, string_printf(), TARGET_WAITKIND_EXECD, TARGET_WAITKIND_EXITED, TARGET_WAITKIND_FORKED, TARGET_WAITKIND_IGNORE, TARGET_WAITKIND_LOADED, TARGET_WAITKIND_NO_HISTORY, TARGET_WAITKIND_NO_RESUMED, TARGET_WAITKIND_SIGNALLED, TARGET_WAITKIND_SPURIOUS, TARGET_WAITKIND_STOPPED, TARGET_WAITKIND_SYSCALL_ENTRY, TARGET_WAITKIND_SYSCALL_RETURN, TARGET_WAITKIND_THREAD_CREATED, TARGET_WAITKIND_THREAD_EXITED, TARGET_WAITKIND_VFORK_DONE, TARGET_WAITKIND_VFORKED, and target_waitstatus::value.

Referenced by clear_proceed_status_thread(), do_target_wait(), print_target_wait_results(), record_btrace_wait(), resume_1(), save_waitstatus(), stop_all_threads(), and target_debug_print_struct_target_waitstatus_p().